blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
7d7ebc15691d1bb5f1f301c0cda94a9e014f63eb | Shell | RickDMyers/dataloader | /bin/process.sh | UTF-8 | 418 | 3 | 3 | [
"MIT"
] | permissive | ProcessName=$1
if [ -z "$ProcessName" ]; then
echo "Usage: process.sh ProcessName"
echo
echo "Description: Executes dataloader process"
return
fi
echo "<*** Running DL Process: " $ProcessName " ***>" >> /dev/stderr
java -cp $(echo /dataloader/bin/*.jar | tr ' ' ':') -Dsalesforce.config... | true |
c4e88d484e775c20cce75237efd8e84135a4c1d3 | Shell | rongc5/test | /shell/netstat_port_1.sh | UTF-8 | 153 | 2.515625 | 3 | [] | no_license | #!/bin/sh
echo "未建立连结队列里套接字的数量"
while [ "1" = "1" ]
do
netstat -nat | grep SYN_RECV | grep 4333 | wc -l
sleep 2
done
| true |
d8f1d1e703a5fa4888524385ac6e5ae4f285931e | Shell | friegger/bosh-openstack-cpi-release | /ci/pipelines/certify-stemcell/tasks/teardown.sh | UTF-8 | 638 | 3.109375 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -e
export BOSH_INIT_LOG_LEVEL=DEBUG
working_dir=$PWD
deployment_dir=$PWD/upgrade-deployment
cp ./bosh-cpi-release/*.tgz bosh-openstack-cpi.tgz
cp ./bosh-release/release.tgz bosh-release.tgz
cp ./stemcell/stemcell.tgz stemcell.tgz
cp $deployment_dir/director-manifest* .
cp -r $deployment_dir/... | true |
18885f20ab107e7f7d89c2b0f76ae506c6185d58 | Shell | amitrajitbose/bash_101 | /div_by_11.sh | UTF-8 | 169 | 3.578125 | 4 | [] | no_license | echo -n "Enter A Number: "
read counter
remainder=$(( counter % 11 ))
if [ "$remainder" -eq 0 ]; then
echo 'Divisible By 11'
else
echo 'Not Divisible By 11'
fi
| true |
b8585dfbab5a9a7fd0d92f9e985af5947f309b52 | Shell | shubham17998/shell-program | /selection-statement/max-min.sh | UTF-8 | 1,123 | 3.046875 | 3 | [] | no_license | #!/bin/bash -x
v1=$(((RANDOM%899)+100))
v2=$(((RANDOM%899)+100))
v3=$(((RANDOM%899)+100))
v4=$(((RANDOM%899)+100))
v5=$(((RANDOM%899)+100))
if [ $v1 -gt $v2 ] && [ $v1 -gt $v3 ] && [ $v1 -gt $v4 ] && [ $v1 -gt $v5 ]
then
echo $v1 is maximun value
elif [ $v2 -gt $v1 ] && [ $v2 -gt $v3 ] && [ $v2 -gt $v4 ] && [ $v2 -g... | true |
bfc061e3defa70a9d2b612160f2770e6c11928be | Shell | lokas/LearnBash | /count | UTF-8 | 1,233 | 4.25 | 4 | [] | no_license | #!/bin/bash
# This script print a range of numbers
usage () {
cat <<END
count [-r] [-b n] [-s n] stop
Print each number up to stop, beging at 0
#-b gives a number to begin with (default: 0)
#-r reverse count
#-s sets step size (default: 1)
# counting will stop at stop
END
}
#function to handle error
#First argument... | true |
99ef05c6c8d7de6e1f1f7b20f1d385dfe3de9a8a | Shell | b4zs/docker-hosting-demo | /images/apache-php/root/bin/create-www_reg_projectvhost_8ways_only.sh | UTF-8 | 734 | 3.796875 | 4 | [] | no_license | #!/bin/bash
PROJECTNAME="$1"
DOMAIN="$2"
if [ -z "$PROJECTNAME" ]; then
exit
fi
if [ -z "$DOMAIN" ]; then
DOMAIN=$PROJECTNAME
fi
echo "create www project vhost: $PROJECTNAME"
if [ ! -f "/etc/apache2/sites-available/$PROJECTNAME" ]; then
echo "Use 8waysOnlyProjectVhost \"$PROJECTNAME\" \"$DOMAIN\" \" \"" >... | true |
443151dac48fef3662c0eb0fce618bdbfd2a0f73 | Shell | LakareUtanGranser/rethink-backup | /run.sh | UTF-8 | 3,094 | 4.3125 | 4 | [] | no_license | #!/bin/bash
set -e
RETHINK__HOST=${RETHINK__HOST:-"localhost:28015"}
DUMP__NAME=${DUMP__NAME:-"dump"}
DUMP__LOCATION=${DUMP__LOCATION:-"/tmp/backup"}
DUMP__LIMIT=${DUMP__LIMIT:-"10"}
RUN_ON_STARTUP=${RUN_ON_STARTUP:-"false"}
_main() {
if [[ ! -z $(ps aux|grep [c]ron) ]]; then
echo "service already started"
... | true |
ab1e2e99d690d4733ae3dc5d2ed32f239d27d414 | Shell | platform-chenlei/fabric8-ipaas | /apiman-gateway/ssl.sh | UTF-8 | 2,104 | 3.609375 | 4 | [] | no_license | #!/bin/bash
#This script is called by maven to deploy the secret after the maven validate phase.
#Note that for this script to succeed you must oc login first
oc whoami > /dev/null
if [ $? == 1 ]; then
echo "[ERROR] Not logged in, no 'apiman-gateway-keystore' secret is created"
exit 0;
fi
if [ ! -f "../elasticse... | true |
e962b3851fd610c67f7623c4e2ab320b86a65346 | Shell | fattredd/rc | /Home/bin/bin/misc/chia/estPercent.sh | UTF-8 | 1,079 | 4.03125 | 4 | [] | no_license | #!/bin/bash
waitTime=${1:-5}
script="${@:2}"
tz="-4"
if [ -z $script ]; then
echo "Usage: estPercent.sh <waitTime> <script>"
exit 1
fi
clear
echo "Wait for initial readings"
lastRead=$($script)
lastTime=$(date +%s)
i=0
function calcTime() {
dRead=`bc <<< "$thisRead - $lastRead"`
dTime=`bc <<< "$thisTime -... | true |
df6d00f0a6b5ed640876787872e075951f7e5772 | Shell | BelalAmin/learningLinuxBash | /printRandomWordFromFile.sh.save | UTF-8 | 384 | 3.390625 | 3 | [] | no_license | #!/bin/bash
fileNameThatContainsTheWords=~/wordList.txt
echo "file that contains the words is: "$fileNameThatContainsTheWords
wordsCountInTheFile=$(wc -w < $fileNameThatContainsTheWords)
echo $wordsCountInTheFile
randomWord=$(($RANDOM % $wordsCountInTheFile))
echo "inde
x of the word to be printed " $randomWord
word=$... | true |
6174d58e8adb00709a25b6c48417a50f321180e7 | Shell | hsxsix/archlinux_install | /install2.sh | UTF-8 | 728 | 2.6875 | 3 | [] | no_license | #/bin/bash
#时区
ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
hwclock --systohc --utc
#语言
echo en_US .UTF-8 UTF-8 >> /etc/locale.gen
echo zh_CN.UTF-8 UTF-8 >> /etc/locale.gen
locale-gen
echo LANG=en_US.UTF-8 > /etc/locale.conf
#引导
pacman -S --noconfirm wicd grub
mkinit... | true |
e7d61383a986e44630ec92b2d4b29056c39f76c4 | Shell | bartes1973/rootOnUSB | /scripts/configureKernel.sh | UTF-8 | 504 | 2.8125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Copyright (c) 2016-19 Jetsonhacks
# MIT License
# Configure kernel to include tegra usb firmware
# SOURCE_TARGET and KERNEL_RELEASE should be set in caller
cd "$SOURCE_TARGET"kernel/kernel-$KERNEL_RELEASE
cp /lib/firmware/tegra21x_xusb_firmware ./firmware/
# CONFIG_EXTRA_FIRMWARE="tegra21x_xusb_firmware"... | true |
704f08aeeaf694f86af55a83d0f676b2be5e5896 | Shell | jskora/bash-config | /bin/setjava.sh | UTF-8 | 2,283 | 4.125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#------------------------------------------------------------
# Switch between JDK versions
#------------------------------------------------------------
# Configuration scripts should be in user home directory.
#------------------------------------------------------------
# Scan options and arguments
#--... | true |
3097599bcb2ac6428d5f359b124a5a3f3748319b | Shell | pelbertc/UBUNTUREPO | /LINUX_BASH_TRAINING/AWK/files2.sh | UTF-8 | 2,252 | 4.125 | 4 | [] | no_license | #!/bin/bash
# ./files.sh [-l location] [--location location] [-e extension] [--extension extension] [h] [--help] [-s --stats]
function usage() {
echo "USAGE: $0 [-l location] [--location location] [-e extension] [--extension extension] [h] [--help] [-s --stats]"
echo "Examples:"
echo "$0 -l /etc/ -e txt -... | true |
5e3d27997e4332ebf1d70e849f2973f4aed2155a | Shell | KaOSx/main | /libice/PKGBUILD | UTF-8 | 640 | 2.625 | 3 | [] | no_license |
pkgname=libice
pkgver=1.1.1
pkgrel=1
pkgdesc="X11 Inter-Client Exchange library"
arch=('x86_64')
url="https://xorg.freedesktop.org/"
depends=('glibc' 'xorgproto')
makedepends=('pkgconfig' 'xtrans')
options=('!libtool')
source=("https://xorg.freedesktop.org/releases/individual/lib/libICE-${pkgver}.tar.xz")
license=('cu... | true |
557a1bbcd36d26ef245e6d9891c0de7e3a86062f | Shell | apexskier/dotfiles | /macos/defaults/import.sh | UTF-8 | 775 | 3.765625 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# usage
# ./import.sh com.apple.Safari
# ./import.sh /Applications/Safari.app
set -e
# set -x
if [ -d "$1" ]
then
DOMAIN=$(mdls -name kMDItemCFBundleIdentifier -r "$1")
else
DOMAIN=$1
fi
DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd -P)"
FILE="$DIR/plists/$DOMAIN.plist"
defaults exp... | true |
0c9bb380a7386283c16f9381b3c4a6b98e4c91fe | Shell | douglowe/hpc_modules_install | /ARCHER2/wps_old_4.2_install_script_gcc_archer2.sh | UTF-8 | 3,568 | 3.203125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Install script for WPS
# This can't be run as a non-interactive job, as the configuration step requires
# user input.
## configuration settings
INROOT=/work/n02/n02/lowe/Compiling/
APPVER=4.2
WRFVER=4.2.2
COMPILER=gcc
# WRF directory, for use in compilation
WRFDIR=${INROOT}wrf/build/WRF-${WRFVER}
... | true |
ce6c4740876ba48402a136cf7e596f70ac055bf9 | Shell | jordandegea/SDPTDD | /source/configure/configure_hbase_tweets.sh | UTF-8 | 355 | 3.53125 | 4 | [] | no_license | #!/bin/bash
# Pour chaque argument -t, crée la table nommé par ce même argument dans HBase
source ./hbase_shared.sh
SCRIPT=""
while getopts ":vft:" arg; do
case $arg in
t)
SCRIPT=$(printf "%screate '%s_tweets', 'user', 'tweet', 'feeling'; " "$SCRIPT" "$OPTARG")
;;
esac
done
$HBASE_HO... | true |
45eff7a8df8f517c32feb18339d5509d74c085a2 | Shell | MasterScott/S3BucketsLeaks | /S3BucketsLeaks.sh | UTF-8 | 9,363 | 4.09375 | 4 | [] | no_license | #!/bin/bash
# S3BucketsLeaks
# Zweisamkeit
# 03/06/2018
# Version 1
# Is AWS installed?
command -v aws 2>/dev/null 1>&2
if [ $? -eq 1 ]
then
echo "awscli is required. Please install it using the following command: pip install awscli. Aborting"
exit 1;
fi
# Some declarations
## Colors
red='\033[0;31m'
orange='\0... | true |
cfecb4fd11319c5be406562c794c641e002e4211 | Shell | kostaz/vim_env | /smart_grep | UTF-8 | 314 | 2.828125 | 3 | [] | no_license | #!/bin/bash
board_dir=$1
search_pattern=$2
find board\/$board_dir \
-iname "*.[chs]" \
-exec grep -inH --color=auto $search_pattern {} \;
find arch\/arm \
-iname "*.[chs]" \
-exec grep -inH --color=auto $search_pattern {} \;
grep -irnH --color=auto --exclude-dir=board --exclude-dir=arch $search_pattern .
| true |
c067306b19a0fbff3ef7035d22b793ead6340d19 | Shell | mbharanya/dotfiles-1 | /source/50_editor.sh | UTF-8 | 557 | 3.328125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# Editing
export EDITOR='vim'
# `v` with no arguments opens the current directory in Vim, otherwise opens the
# given location
function v() {
if [ $# -eq 0 ]; then
$EDITOR .;
else
$EDITOR "$@";
fi;
}
export VISUAL="$EDITOR"
#alias vv="cd $DOTFILES/link && v $DOTFILES/link/.{,g}vimrc +'cd ... | true |
61e358c77446e9962e9ee81592798fb694e2b499 | Shell | pcbadger/random | /scripts/jf-flatfile-to-query.sh | UTF-8 | 5,029 | 2.78125 | 3 | [] | no_license | INPUT="flatout2.csv"
STORAGE_BASE_DIRECTORY="/vmail1/crapmail"
MAILBOX_FORMAT=''
DEFAULT_QUOTA='100'
MAILDIR_STYLE='hashed'
STORAGE_BASE="$(dirname ${STORAGE_BASE_DIRECTORY})"
STORAGE_NODE="$(basename ${STORAGE_BASE_DIRECTORY})"
PAST='1969-07-21 02:56:00'
FUTURE='2363-09-27 12:00:00'
DEFAULT_DOMAIN="clientinterwebs.com... | true |
05a823548aa201e6a12b4d49055bba590d25c0c1 | Shell | yadudoc/mira-halo | /TEST_RPN_16_NODE_512_5D/extractor.sh | UTF-8 | 1,161 | 2.921875 | 3 | [] | no_license | #!/bin/bash
declare -a strings=("Sendrecv no delay" "Sendrecv wt delay" "Isend-recv no delay" "Isend-recv wt delay" "Isend-Irecv no delay" "Isend-Irecv wt delay" "12 at a time no delay" "12 at a time wt delay")
DATA=(368005.error 368007.error 368006.error 368008.error 368009.error 368010.error 368011.error 368... | true |
2f1a81000f4825a713600134fbfdb4b87457bbb3 | Shell | eschanet/thesis-post-mortem | /pages.sh | UTF-8 | 812 | 3.40625 | 3 | [] | no_license | #!/bin/bash
firstday=0
for day in {100..0..-1}; do
git checkout $(git rev-list -n 1 --before="$day days ago" master)
# org-mode SLOC
pdftotext thesis.pdf
lines=$(wc -l thesis.txt)
if [ $? -eq 0 ]; then
lines=$(echo $lines | cut -d ' ' -f 1)
#echo x | make
if [ $? -eq 0 ]; t... | true |
77a04d7b4c0b2b10bbd6241c2d3944940de92883 | Shell | cryptogenicbonds/PersonalCloudVault | /pcv | UTF-8 | 757 | 3.40625 | 3 | [] | no_license | #!/bin/sh
### BEGIN INIT INFO
# Provides: pcv
# Required-Start: $local_fs
# Required-Stop: $local_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# X-Interactive: false
# Short-Description: PCV Daemon
# Description: Start/Restart/Stop the Personal Cloud Vault
### END INIT INFO
DESC... | true |
216e1805b7ae6b571bf607c586227d27c3d48ea7 | Shell | sarruja/m300_sarruja | /LB2/db.sh | UTF-8 | 1,337 | 2.84375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
#Packete für Datenbankserver installieren
set -o xtrace
sudo apt-get update
sudo apt-get -y install debconf-utils
sudo apt-get -y install apache2
sudo debconf-set-selections <<< 'mysql-server mysql-server/root_password password _PassW0rt!'
sudo debconf-set-selections <<< 'mysql-serve... | true |
6e0dbf5410c287788d6117d30a9d7ee0a7912728 | Shell | theclassnotes/cn | /libexec/cn-restart | UTF-8 | 339 | 3.5 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# Usage: cn restart SUBDOMAIN
# Summary: Restart the Passenger application for SUBDOMAIN.theclassnotes.com
set -e
if [ $# -gt 0 ]; then
echo "Restarting $1.theclassnotes.com..."
ssh -p 22 classnot@theclassnotes.com -q -t "touch /home/classnot/$1.theclassnotes.com/tmp/restart.txt"
else
echo "... | true |
d1cbd22cc85521adaf6ece94eb786c3d4e353b7d | Shell | keithrob/openshift-node4 | /template/.openshift/action_hooks/build | UTF-8 | 644 | 3.046875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Below are example commands that I normally run during a build.
# Change home directory (bower puts a lot of cache and tmp directories here)
#HOME=$OPENSHIFT_REPO_DIR
#cd $OPENSHIFT_REPO_DIR
# Cache npm and bower components on main gear
#if [ "$OPENSHIFT_GEAR_UUID" == "$OPENSHIFT_APP_UUID" ]; then
#mk... | true |
4e25def459cd94d1225c62ead8b81ba8df359d14 | Shell | DanielSchwartz1/image_optimizer | /png_jpg_optimizer_dont_do_twice.sh | UTF-8 | 810 | 3.359375 | 3 | [] | no_license | #!/bin/bash
#Daniel Schwartz
#Created: 05.10.2020
date=$(date)
LOG=./ds_png.log
x=$(/usr/bin/find /var/www/html/schwartzdaniel.com/wp-content/uploads/ -iname '*.png')
y=$(/usr/bin/find /var/www/html/schwartzdaniel.com/wp-content/uploads/ -iname '*.j*g')
for i in $x; do
if ! grep -q $i "$LOG"; then
/usr/bin/p... | true |
9f664a5102e48183d462bac04342e7a7f389e116 | Shell | 4rd/efestscraper | /checkglasto | UTF-8 | 776 | 3.84375 | 4 | [] | no_license | #!/bin/sh
tempLoc=/tmp/new.glasto
saveLoc=./lineup.glasto
scraperLoc=./main.py
# run the scraper
echo 'checking eFestivals for glasto lineup news'
python3 $scraperLoc > $tempLoc
# check if save file exists
if [ ! -f $saveLoc ]; then
echo "no existing save found, making an empty one";
echo "empty save" > $sav... | true |
e1757daf5080237e01260c5b5875358e438d8251 | Shell | 5h4d3s/openstack-autoinstall-mitaka- | /openstack-mitaka-autoinstall.sh | UTF-8 | 23,158 | 3.046875 | 3 | [] | no_license | #!/bin/bash
#网卡名称需要配置为eth0 ip最好配置为10.0.0.1
virtual=`egrep -c '(vmx|svm)' /proc/cpuinfo`
if [ $virtual -eq 0 ];then
echo "请先开启虚拟化!"/Users/shadow/Desktop/openstack-mitaka-autoinstall.sh
exit 9
fi
if [ ! -f cirros-0.3.4-x86_64-disk.img ];then
echo "the cirros-0.3.4-x86_64-disk.img is not exist"
exit 6
fi
if ... | true |
39b8fd351b001a1a30832786cbe9a2aaa1339de4 | Shell | seinlin/docker-worker | /build.sh | UTF-8 | 399 | 3.53125 | 4 | [] | no_license | #! /bin/bash
build() {
local dir=$1
local tag=$2
docker build -t $tag $dir
if [ "$?" -ne "0" ];
then
echo "Failed building docker image '$tag' in '$dir'."
fi
}
# cd into parent directory of this script
cd "$(dirname "${0}")"
# Build docker containers used by the docker-worker tests
#build $PWD taskcl... | true |
3303c5cb1378577f550035c9d4948ce71233bed9 | Shell | bkonyi/devtools | /tool/update_flutter_sdk.sh | UTF-8 | 696 | 3.296875 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
# Copyright 2021 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
FLUTTER_DIR="`pwd`/flutter-sdk"
PATH="$FLUTTER_DIR/bin":$PATH
REQUIRED_FLUTTER_VERSION=$(<"flutter-version.txt")
if [ -d "$FLUTTER_DIR" ]; the... | true |
7d88dd7f389d049427d306f9890c4fb0202a2f63 | Shell | bd-j/forcepho | /demo/demo_psf/run_psf_test.sh | UTF-8 | 969 | 2.84375 | 3 | [] | no_license | #!/bin/bash
pwd -P; hostname; date
export PROJECT_DIR=$PWD
cd $PROJECT_DIR
source activate force
bands=( F090W F115W F150W F182M F200W F210M F277W F335M F356W F410M F444W F430M F460M F480M)
scales=( 0.03 0.03 0.03 0.03 0.03 0.03 0.06 0.06 0.06 0.06 0.06 0.06 0.06 0.06)
psfname=psf_jwst_2022-11-25_ng5m1
... | true |
89e8e21efe12916a869e0d002d9e71b54b410c45 | Shell | WillMc93/NewMachineSetup | /run.sh | UTF-8 | 2,662 | 3.5625 | 4 | [] | no_license | #!/bin/bash
# TODO: Find way to record runner of script or check for this argument
LOCAL_USER=$1
LOCAL_HOME=/home/$1
[ "$UID" -eq 0 ] || exec sudo bash "$0" "$@"
echo $LOCAL_HOME
echo $LOCAL_USER
# Variable Declarations
TMPDIR='/tmp/setup'
FONTDIR='/usr/share/fonts/truetype'
# Make container for downloads
mkdir ... | true |
f1d9aa9354288d94cc0ed1ae2e7cadedaefaf4fc | Shell | rushtongarth/utilities | /utils/scripts/GarthTexUpdate.sh | UTF-8 | 1,049 | 3.9375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
THISSCRIPT=$(readlink -f $0)
SCRIPTNAME=$(basename $THISSCRIPT)
SOURCE_DIR=${HOME}/Code/bylang/GarthTex
TARGET_DIR=${HOME}/.texmf/tex/latex/GarthTex
TEXLOC=/usr/share/texlive
SCR_USER=${SUDO_USER:-$USER}
function eproc {
local OUTSTR
OUTSTR=( "$@" )
cat <<-EOF1
ERROR: [ ${OUTSTR[@]} ]
EOF1
}
functio... | true |
1aee2ffa5fcaab5538018c76036a0c6971648f3e | Shell | qijunL/learn_shell | /shell/install_yum.sh | UTF-8 | 181 | 3.171875 | 3 | [] | no_license | #!/bin/bash
tt=$(awk '{print $(NF-1)}') /etc/redhat-release
if [ ${tt%%.*} -eq "7" ];then
echo "配置centos7的源"
elif [ ${tt%%.*} -eq "6" ];then
echo "配置centos6的源"
fi
| true |
50746bc1c5fca4e5ec4a67c4861693002e086c84 | Shell | pavedroad-io/scripts | /releases/github-release.sh | UTF-8 | 783 | 3.09375 | 3 | [] | no_license | #!/usr/bin/env bash
asset="false"
source github-api.sh
if [ "$silent" != "true" ]; then
echo; echo Release tags:
latest=false read_tags
echo; echo Published releases:
lastest=false read_releases
if [ "$latest" == "true" ]; then
echo; echo Latest release:
read_latest
fi
... | true |
fea3ccacfe41b3acaa4c7893c74dd8808474e48f | Shell | antiX-Dave/server-scripts | /backup/backup.sh | UTF-8 | 11,480 | 4 | 4 | [] | no_license | #!/bin/bash
#Script to make a snapshot / file backup of the system and data
#Set Configuration Location
config='/etc/backup-scripts/backup.conf';
#Check if running as root
if [ $UID != 0 ]; then
echo 'You need to be root to run this script!';
exit 1;
fi
#Log activities
function log() {
if [ ! -d "$LOG_DIR" ]... | true |
cc730aecec72d27c754d7e5f0c432e1d6c534905 | Shell | hikikones/DABE | /testbed/pi3_cluster/router.sh | UTF-8 | 1,496 | 2.9375 | 3 | [] | no_license | ##################
## General Setup
##################
# Keyboard layout
echo 'keymap="no.kbd"' >> /etc/rc.conf
# Remove freebsd user
rmuser freebsd
##################
## SSH Setup
##################
# SSH on FreeBSD is installed and enabled by default as seen by 'sshd_enable="YES"' from /etc/rc.conf.
# But you nee... | true |
99587bfccf1f411f890beae2449ec4ed2a018cc3 | Shell | gnodet/fabric-openshift-cartridge | /bin/control | UTF-8 | 5,839 | 3.765625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
source $OPENSHIFT_CARTRIDGE_SDK_BASH
FUSE_BIN_DIR=${OPENSHIFT_FUSE_DIR}/container/bin
FUSE_PID_FILE=${OPENSHIFT_FUSE_DIR}/container/instances/instance.properties
FUSE_PASSWD_FILE=${OPENSHIFT_FUSE_DIR}/container/etc/passwd
FUSE_SYSPROPS_FILE=${OPENSHIFT_FUSE_DIR}/container/etc/system.properties
FUSE_USRPROP... | true |
4ec263c4968d3b4d7289aa8dbce4bfa58aacb03a | Shell | lsoulier42/ft_services | /srcs/scripts/restart_service.sh | UTF-8 | 407 | 3.296875 | 3 | [] | no_license | if [ "$#" -ne 1 ]; then
echo "Vous devez passer le nom du service en argument\n"
else
if [ "$1" = "mysql" ] || [ "$1" = "influxdb" ] || [ "$1" = "nginx" ] || [ "$1" = "ftps" ] || [ "$1" = "wordpress" ] || [ "$1" = "phpmyadmin" ] || [ "$1" = "grafana" ]; then
eval $(minikube docker-env)
./destroy_service.sh $1... | true |
3b3ce999c95b03bf1affcacfbd5bb103df9d8e90 | Shell | kanakagrawal/pagerank | /get_timing.sh | UTF-8 | 258 | 3.09375 | 3 | [] | no_license | #!/bin/bash
cd cuda_implemenation/
make clean
make
cd ..
cd serial/
make clean
make
cd ..
for f in data/cuda_data/*; do
b=$(basename $f)
echo "File -> $b"
./cuda_implemenation/out $f > timings/cuda_$b
./serial/serial_out $f > timings/serial_$b
done | true |
506318599fa10737722f1e73c7fa02074f0bd1c6 | Shell | RobinDeHerdt/HackerRank | /Linux Shell/Arrays/replace-first-letter-of-each-array-element.sh | UTF-8 | 105 | 2.765625 | 3 | [] | no_license | #!/bin/bash
readarray -t arr
for i in "${!arr[@]}"
do
arr[$i]=".${arr[$i]:1}"
done
echo ${arr[@]}
| true |
b7bae2db9478fe3dbd20162fa24b07a05853c832 | Shell | weizd21/ls-cpuinfo | /cpu_info.sh | UTF-8 | 319 | 2.65625 | 3 | [
"Apache-2.0"
] | permissive | # 查看CPU型号
cat /proc/cpuinfo | grep name | cut -f2 -d: | uniq -c
# 查看物理CPU个数
cat /proc/cpuinfo| grep "physical id"| sort| uniq| wc -l
# 查看每个物理CPU中core的个数(即核数)
cat /proc/cpuinfo| grep "cpu cores"| uniq
# 查看逻辑CPU的个数
cat /proc/cpuinfo| grep "processor"| wc -l
| true |
07c568b9da1a448c6c8fd8159e47fe89e2de4192 | Shell | nareshnaruka/assignment | /dm | UTF-8 | 379 | 3.34375 | 3 | [] | no_license | #!/bin/bash
CURRENT=$(free | grep Mem | awk '{print $3/$2 * 100.0}'|awk -F'.' '{print $1}')
CRITICAL=4
WARNING=2
if [ "`echo $CURRENT| awk '{print $1}'`" -gt "$CRITICAL" ] ; then
echo 'CRITICAL!!! High Memory Used'
elif [ "`echo $CURRENT| awk '{print $1}'`" -gt "$WARNING" -a "`echo $CURRENT| awk '{print $1}'`" -lt "$C... | true |
9d65d3cf31055029852cf3a942ee4d8fbabeeb2b | Shell | verstaen/open-space-toolkit-physics | /tools/testing/python/run.sh | UTF-8 | 934 | 2.984375 | 3 | [
"MPL-2.0",
"BSL-1.0",
"Apache-2.0"
] | permissive | #!/bin/bash
################################################################################################################################################################
# @project Open Space Toolkit ▸ Physics
# @file tools/testing/python/run.sh
# @author Lucas Brémond <lucas@loftorbital.c... | true |
093aafffe3f79ce607d506d9a4d23c5935a042ec | Shell | LeoChang84/dotfiles | /deploy.sh | UTF-8 | 941 | 2.9375 | 3 | [] | no_license | # !/bin/bash
cd scripts
source ./utils.sh
if [ $# -eq 0 ]; then
print_error 'No Arguments'
exit
fi;
if [ "$1" == "macos" ]; then
bash ./install_homebrew_macos.sh
bash ./deploy_useful_homebrew_macos.sh
bash ./deploy_vim_macos.sh
bash ./deploy_zsh_macos.sh
bash ./deploy_tmux_macos.sh
bash ./deploy_vifm.... | true |
e7990ad94b2026e705645dbfb26f0e4fbcd481e5 | Shell | DarkieSouls/VagrantUpOpenSource | /bootstrap_agent.sh | UTF-8 | 824 | 3.09375 | 3 | [] | no_license | #!/bin/bash
echo "Setting up an agent"
sudo apt-get -y update
sudo apt-get install -y openssh-server openssh-client
sudo ufw disable
#Install puppet
sudo apt-get install -y puppet
echo "Editing hosts file..."
#Edit the hosts file
ADDRESS=$(facter ipaddress_eth1)
NAME=$(facter fqdn)
sed -i "1s/^/$ADDRESS $NAME puppet... | true |
15ae0926c83312b7746143f2895de4c1800c645c | Shell | hgaiser/tilix-config | /install | UTF-8 | 1,237 | 3.90625 | 4 | [] | no_license | #!/bin/bash
# check if messages are to be printed using color
unset ALL_OFF BOLD BLUE GREEN RED YELLOW
if [[ -t 2 ]]; then
# prefer terminal safe colored and bold text when tput is supported
if tput setaf 0 &>/dev/null; then
ALL_OFF="$(tput sgr0)"
BOLD="$(tput bold)"
BLUE="${BOLD}$(tput setaf 4)"
GREEN="${B... | true |
ba4cb54742ddf3ed74a8c0302adf2d1fbf99c4ef | Shell | sanchit1999/ITWS-Assignment-2 | /makeExec.sh | UTF-8 | 164 | 3.359375 | 3 | [] | no_license | #!/bin/bash
if test $# -ne 1
then
echo "enter exactly 1 argument"
else
if test -e $1
then
if test -f $1
then
chmod u+x $1
fi
else
echo "file does not exist"
fi
fi
| true |
34198b7eca17528e44cd4ac3b60066a38e6b20db | Shell | LydiaGarrido/pruebaisifinal | /src/main/java/urjc/isi/pruebasSparkJava/Database/clients.sh | UTF-8 | 195 | 3.09375 | 3 | [] | no_license | #!/bin/bash
if test $# -ne 2
then
echo "Usage: $0 nclients database" >&2
exit 1
fi
counter=1
while [ $counter -le $1 ]
do
sqlite3 $2 "INSERT INTO clients DEFAULT VALUES"
((counter++))
done
| true |
3711173bf778f8c7f30115d4eaf9b0ca6c026921 | Shell | sweetpand/blog | /development/bootstrap.sh | UTF-8 | 3,074 | 3.71875 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
MYSQLD_PID=""
echo "Generating/Regenerating configuration files from templates."
set -a
ENVSUBST_IGNORE='$'
source "../.env"
set +a
envsubst < "config/my.cnf.template" > "config/my.cnf"
echo "Initializing the database data directory if necessary."
function startDatabaseServer () {
echo "St... | true |
14e6f5ec3bee67e79cf95ad37d6735281bc282e4 | Shell | waldenylson/SCRIPTS | /Script_Coleta_BDS.sh | UTF-8 | 7,487 | 3.5 | 4 | [] | no_license | #!/bin/bash
#Criado em 09/11/2017 por Marcio Nascimento mrnascimento@atech.com.br
#***************************************************************************************************
clear
Menu(){
echo -e "*****************************************************************************************"
echo -e "***********... | true |
2d3cd3f51e986b86dc0159e8e660a64b7bfa280b | Shell | Lattanzi/trabalho-av2-LabSO | /lucaslattanzi2.sh | UTF-8 | 177 | 3.078125 | 3 | [] | no_license | pastas=0
arquivos=0
for item in *
do
if [ -d $item ]
then
pastas=$(($pastas+1))
else
arquivos=$(($arquivos+1))
fi
done
echo "Arquivos: $arquivos diretorios: $pastas"
| true |
928ba56952fed97522375592f4f24d9602cdcece | Shell | GoOutSafeS3/NotificationService | /run.sh | UTF-8 | 549 | 2.78125 | 3 | [] | no_license | #!/bin/sh
export PYTHONPATH="."
case "$1" in
"unittests-report")
pytest --cov=app --cov-report term-missing --cov-report html --html=report.html
;;
"unittests")
pytest --cov=app
;;
"setup")
pip3 install -r requirements.txt
pip3 install pytest pytest-cov
... | true |
f48a11e3b54b104db5d004b8310b7d021e887048 | Shell | vedant130701/Labs | /3rd sem/OSTL/Lab 2/fact.sh | UTF-8 | 122 | 3.140625 | 3 | [] | no_license | echo "enter number"
read num
i=1
while [ $num -gt 0 ]
do
i=$(($i*$num))
num=$(($num-1))
done
echo "the factorial is $i"
| true |
bc828c922741d33c1000904c37e9b99edbb83b2c | Shell | osiris12/magento-now | /hashi/bootstrap.sh | UTF-8 | 5,646 | 3.125 | 3 | [] | no_license | #!/usr/bin/env bash
# http://www.inanzzz.com/index.php/post/lpwy/accessing-vagrant-virtual-machine-from-the-browser-of-host-machine
# BEGIN ########################################################################
echo -e "-- ------------------ --\n"
echo -e "-- BEGIN BOOTSTRAPING --\n"
echo -e "-- ------------------... | true |
1b5b2ff1fd9955bf9a3aaaa4ade77814ae9e6522 | Shell | spcmd/Scripts | /tvm | UTF-8 | 4,606 | 3.15625 | 3 | [] | no_license | #!/bin/bash
# _
# ___ _ __ ___ _ __ ___ __| |
# / __| '_ \ / __| '_ ` _ \ / _` |
# \__ | |_) | (__| | | | | | (_| |
# |___| .__/ \___|_| |_| |_|\__,_|
# |_|
# Created by: spcmd
# https://github.com/spcmd
url=https://www.tvmustra.hu/tvmusor
file_keywords=$HOME/.tvm_highlights
fil... | true |
9856f9afac15dda4dc895763129af291227f8f22 | Shell | jensjorritsma/gistcat | /scripts/deps.sh | UTF-8 | 140 | 3.203125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
gpm help &> /dev/null
if [ $? -eq 0 ]; then
rm -rf $GOPATH
mkdir -p $GOPATH
gpm install
else
echo "gpm not found"
fi
| true |
7c25654e6c1adc8bb4089e3c9001a08a6b1f6ce8 | Shell | haibwang/for-termux | /shell/if.sh | UTF-8 | 188 | 3.0625 | 3 | [] | no_license | #!/bin/bash
if [ $# -lt 1 ]
then
echo "usages: if.sh filename"
fi
if [ -x $1 ]
then
echo x
elif [ -r $1 ]
then
echo r
elif [ -w $1 ]
then
echo w
elif [ -c $1 ]
then
echo c
fi
| true |
efff16c851c75413ad51df1c53e661574b1701f5 | Shell | hamgravy/chroot | /device_scripts/go.sh | UTF-8 | 1,444 | 3.15625 | 3 | [] | no_license | # Script to chroot into Ubuntu
# Make a new ~ for Ubuntu instead of /data
export HOME=${NEW_HOME}
if [ -e ${NEW_HOME}/.bash_profile ]
then
echo "using existing .bash_profile... find it in chroot's HOME"
else
echo "# sdk_generated .bash_profile" > ${NEW_HOME}/.bash_profile
echo "# (from the go.sh portion ... | true |
5134a68a81573a9bc7834ed6e43c1f4e43e17fe5 | Shell | xavigonzalvo/kernel_docker | /generate_initrd.sh | UTF-8 | 864 | 3.765625 | 4 | [] | no_license | #!/bin/bash
set -e
readonly confdir=conf
readonly initrd=$(pwd)/initrd
readonly busyboxdir=busybox
readonly outputdir=$(pwd)/output
if [ -e ${initrd} ]; then
echo -n "Removing existing initrd, press ENTER to proceed... "
read input
rm -rf ${initrd}
fi
echo -n "Creating initrd filesystem... "
mkdir ${initrd} &... | true |
948dfebf0165783a26c0b256d7f3555ccee94409 | Shell | Ventto/tcpu | /tcpu.sh | UTF-8 | 2,027 | 3.15625 | 3 | [
"MIT"
] | permissive | #!/bin/sh
#
# The MIT License (MIT)
#
# Copyright (c) 2018 Thomas "Ventto" Venriès <thomas.venries@gmail.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy of
# this software and associated documentation files (the "Software"), to deal in
# the Software without restriction, including ... | true |
d1a57d14561e8789b6a5e25aa51ac6bef6381576 | Shell | Leon03/MyCode | /shell/fetchrouterip.sh | UTF-8 | 920 | 3.4375 | 3 | [] | no_license | #!/bin/ash
#first we need install pkg iputils-ping and ssmtp
localip="192.168.1.252"
target="202.96.104.15"
password="password"
username="username"
src="sender"
dst="receiver"
pub_ip=/tmp/pubip
if [ ! -f "$pub_ip" ]; then
touch $pub_ip
fi
lasttime=`head -n 1 $pub_ip`
oldip=`tail -n 1 $pub_ip`
result=`/usr/bin/ping ... | true |
070abe75e861617f7a1003c65704fedc79b7c2cb | Shell | Channing-Zeng/Reporting_Suite | /scripts/runner_Waltham.sh | UTF-8 | 629 | 3.125 | 3 | [] | no_license | #!/bin/bash
#set -x
DONE_MARKER_FILE=$1
ERROR_MARKER_FILE=$2
CMDLINE="${@:3}"
date >&2
hostname >&2
finger $(whoami) | head -n1 >&2
echo "" >&2
source /etc/profile.d/modules.sh >&2
source /users/klpf990/load_postproc.sh
#module unload python >&2 2>&2
#module unload gcc >&2 2>&2
#module load gcc/4.9.2 sge bedtools/2.2... | true |
f748076270906890b8d5fdd6887727f06ff2d980 | Shell | rashidisayev1525/visa-termin-master | /run.sh | UTF-8 | 4,579 | 3.5625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
extract_time_period()
{
searchtext=$1
saveIFS=$IFS
IFS='=&'
params=($searchtext)
IFS=$saveIFS
declare -A array
for ((i=0; i<${#params[@]}; i+=2))
do
array[${params[i]}]=${params[i+1]}
done
time_period=${array["openingPeriodId"]}
}
solve_captcha()
{
ca... | true |
f9c747c5455219c677a9cc3e1cf28efce4ab44e9 | Shell | 5l1v3r1/deepops | /roles/slurm-perf/templates/etc/slurm/epilog.d/80-exclusive-tmpfiles | UTF-8 | 691 | 3.890625 | 4 | [
"BSD-3-Clause",
"LicenseRef-scancode-generic-cla"
] | permissive | #!/usr/bin/env bash
set -ex
for fs in /tmp /dev/shm; do
# only remount if it is currently mounted, AND if we know how to mount it again
do_unmount=0
do_mount=0
if findmnt "$fs" >/dev/null && grep -q "$fs " /etc/fstab; then
do_unmount=1
do_mount=1
fi
# unmount
if [ "$do_unmo... | true |
35a17e06272e659e909d21700373409e41ebe8c5 | Shell | DD2425-group-5/scripts | /mass_status.sh | UTF-8 | 205 | 3.03125 | 3 | [] | no_license | #!/bin/bash
# Run this in the directory above where the git repositories are to check status for all of them
find `pwd` -maxdepth 1 -type d | while read dir; do echo $dir; cd $dir; git status; cd ..; done
| true |
33c12deca65bb2cf3246b589f55612bcbf91fbdc | Shell | medrbx/kibini | /bin/crontab_lanceur.sh | UTF-8 | 3,976 | 2.890625 | 3 | [] | no_license | #! /bin/bash
date=`date +%Y-%m-%d`
date_dump=`date +%Y%m%d`
dayofweek=`date +%u`
dayofmonth=`date +%d`
dayofmonthnextweek=`date +%d -d "7 day"`
dir='/home/kibini/kibini_prod/bin/'
dir_log='/home/kibini/kibini_prod/log/crontab/'
dir_kib2='/home/kibini/kibini2'
dir_data='/home/kibini/kibini_prod/data'
# POUR KIBINI2 :... | true |
95bf872a0ba29224bf3c5c674104aca10c388557 | Shell | efaden/docker-network-weathermap | /nginx.sh | UTF-8 | 1,679 | 3.734375 | 4 | [] | no_license | #!/bin/bash
# `/sbin/setuser collectd` runs the given command as the user `collectd`.
# If you omit that part, the command will be run as root.
# Install Network Weathermap
HTMLDIR='/var/www/'
WEATHERMAP="$HTMLDIR/weathermap"
C='*/5 * * * * root /var/www/weathermap/map-poller.php >> /dev/null 2>&1'
if [ ! -d... | true |
d71dda656cbc6f6c888528ac8d9b0a3e01177fc7 | Shell | vam-sin/bioinfo-toolbox | /nanjiang/misc/plotHelixCmpClass_mp1_psbin.sh | UTF-8 | 7,932 | 2.75 | 3 | [] | no_license | #!/bin/bash
# format of the file to make the plot
# #Idx RLTY 0 1 2 Maximum Occurrence
# 0 0 0.000 0.000 0.000 0.000 0
# 1 5 0.000 0.000 0.000 0.000 0
# 2 10 0.000 0.000 0.000 0.000 0
# 3 ... | true |
4e8aa0780a4d4c753700890b9a23318e38ac8eae | Shell | petronny/aur3-mirror | /nial/PKGBUILD | UTF-8 | 1,172 | 2.953125 | 3 | [] | no_license | # $Id: pkgbuild-mode.el,v 1.23 2007/10/20 16:02:14 juergen Exp $
# Maintainer: perlawk
pkgname=nial
pkgver=20130414
pkgrel=1
pkgdesc="An array programming language, like APL and J, but much more easy to learn and read."
url="http://www.nial.com/"
arch=(any)
license=('Artistic Licence')
depends=('ncurses')
makedepen... | true |
bf2608bb1955213a1e21cd4d4945e49b2d968e0d | Shell | SFDigitalServices/heroku-configvar-files-buildpack | /bin/detect | UTF-8 | 268 | 2.734375 | 3 | [] | no_license | #!/bin/sh
# bin/detect <BUILD_DIR>
# this buildpack depends on heroku-configvar-files-buildpack-config file in the root of the project
if [ -f $1/heroku-configvar-files-buildpack-config ]; then
echo "heroku-configvar-files-buildpack"
exit 0
else
exit 1
fi | true |
4a6776ac00b2a1d0262b16db16c15825e1af9762 | Shell | ChillerDragon/sdlvm | /bin/sdlvm | UTF-8 | 4,551 | 4.15625 | 4 | [] | no_license | #!/bin/bash
if [ ! -d ~/.sdlvm ]
then
echo "Error: ~/.sdlvm not found"
exit 1
fi
mkdir -p ~/.sdlvm/versions
mkdir -p ~/.sdlvm/src
touch ~/.sdlvm/version
CURRENT_VERSION="$(cat ~/.sdlvm/version)"
function show_help() {
echo "usage: sdlvm [OPTIONS..]"
echo "options:"
echo " help shows this help"
echo " instal... | true |
6f0add57a242f2e8d32c0a7ae7b4f6e853902728 | Shell | JenJenChung/multirobot_stage | /scripts/run-multi-robot-sim | UTF-8 | 576 | 3 | 3 | [] | no_license | #!/bin/bash
my_pid=$$
echo "My process ID is $my_pid"
echo "Launching roscore..."
roscore &
pid=$!
echo "Launching Stage..."
sleep 2s
roslaunch multirobot_stage multirobot_stage.launch &
pid="$pid $!"
echo "Launching navigation stack..."
sleep 2s
for i in `seq 0 1`;
do
roslaunch nav_bundle single_slam.launch robo... | true |
85846c01a6ac5b7da84c4a94a17e703dbd39a380 | Shell | abrezinsky/docker-liquidsoap | /1.2/docker-entrypoint.sh | UTF-8 | 141 | 2.5625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
if [ "$1" = 'liquidsoap' ]; then
eval $(gosu liquidsoap opam config env)
exec gosu liquidsoap "$@"
fi
exec "$@"
| true |
d47d17655c4ce9a9b17340c1ee40c1342da47885 | Shell | junghan0611/pronto-v1.1 | /init_ext4.sh | UTF-8 | 203 | 2.96875 | 3 | [] | no_license | #!/bin/bash
SIZE=48
if [ $# -ne 0 ]; then
SIZE=$1
fi
{
sudo mkdir -p /mnt/ram
sudo mkfs.ext4 -F /dev/pmem1
sudo mount -t ext4 -o dax /dev/pmem1 /mnt/ram
sudo chmod -R 777 /mnt/ram
} 1>/dev/null 2>&1
| true |
3cea56806875f38e6b91b2ec7d11a6bbf3a2745c | Shell | Hooyh110/docker_user | /bash_work/bash_work/docker/pull_k8s_1.13.1.sh | UTF-8 | 1,702 | 2.8125 | 3 | [] | no_license | #!/usr/bin/env bash
set -x
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH
cur_dir=$(cd $(dirname "$0") && pwd)
echo "脚本执行路径:"${cur_dir}
DATE=`date +%Y%m%d_%H%M%S`
echo "当前时间:"${DATE}
if [ $# -eq "0" ]; then
echo "没有参数"
fi
docker pull mirrorgooglecontainers/kube-apiserver-amd6... | true |
c3af07445e26f2f0a9ecbfa4063a525878326df4 | Shell | NetBSD/src | /tests/fs/tmpfs/t_vnode_leak.sh | UTF-8 | 2,381 | 2.796875 | 3 | [] | no_license | # $NetBSD: t_vnode_leak.sh,v 1.7 2018/01/17 00:23:17 maya Exp $
#
# Copyright (c) 2005, 2006, 2007, 2008 The NetBSD Foundation, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistri... | true |
cc56de03c33db712bb3932b61db58f703a5a4e8e | Shell | nextid00/origin | /hack/lib/init.sh | UTF-8 | 926 | 3.53125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# This script is meant to be the entrypoint for OpenShift Bash scripts to import all of the support
# libraries at once in order to make Bash script preambles as minimal as possible. This script recur-
# sively `source`s *.sh files in this directory tree. As such, no files should be `source`ed outside
# of... | true |
3a99a9154b04820e8f23aa3b3a5d3c8e0af4f319 | Shell | fishilico/kaoz-clients | /git/format-message | UTF-8 | 791 | 3.84375 | 4 | [] | no_license | #!/bin/sh
# Format Git commits in colors with IRC
# Usage:
# echo oldrev newrev refname | git/send-message
# Example:
# echo 012345 abcdef master | git/send-message
source "${KAOZ_CLIENTS_PATH:-/usr/share/kaoz-clients}/style/irc-style.sh"
read OLDREV NEWREV REFNAME
BRANCH=$(echo -n "$REFNAME" | sed 's-.*/^\([^/]*\... | true |
8511e7cde6a9bef304e15414b24fe68b72e0afaa | Shell | pheanex/BachelorThesis | /Scripts/start_bw_test | UTF-8 | 1,798 | 3.5625 | 4 | [] | no_license | #!/bin/bash
DATE=$(date +%Y-%m-%d-%H-%M-%S)
NR_SECS=$1
VM_start=11
VM_end=22
VM_cnt=0
bw=$2
if [[ -z "$NR_SECS" ]] || [[ -z "$bw" ]]
then
echo "Error: usage: $0 <nr_secs_iperf(t)> <bw in Mbit>"
exit 1
fi
echo "Seconds count (-t for iperf): $NR_SECS"
# Check every 10 secs for 400 secs if aps are already done or if ... | true |
59fe7c52e9aeb2ff64cd33ec992ec08f3ddd16fc | Shell | mnemonic-no/act-scio | /scripts/get-vendor-files.sh | UTF-8 | 5,087 | 2.78125 | 3 | [
"LicenseRef-scancode-warranty-disclaimer",
"LicenseRef-scancode-mit-taylor-variant",
"ISC"
] | permissive | #!/bin/sh
# Exit on error
set -e
DATA_HOME=`dirname $0`/../vendor
GEO_HOME=$DATA_HOME/geonames
OPENNLP_LIB=$DATA_HOME/opennlp
TLD=$DATA_HOME/tld
mkdir -p $GEO_HOME $OPENNLP_LIB $TLD
curl https://data.iana.org/TLD/tlds-alpha-by-domain.txt -o $TLD/tlds-alpha-by-domain.txt
# Geo Names
curl http://download.geonames.or... | true |
4bff6a71deae5d57922fe663548c3b87ba4931eb | Shell | kotoko/configs | /puppet/void-linux-desktop/modules/kde/files/10-agent-startup.sh | UTF-8 | 306 | 2.96875 | 3 | [
"0BSD"
] | permissive | #!/bin/sh
#
# This file is sourced at Plasma startup, so that
# the environment variables set here are available
# throughout the session.
if [ -x /usr/bin/gpgconf ]; then
/usr/bin/gpgconf --launch gpg-agent >/dev/null 2>&1
fi
if [ -x /usr/bin/ssh-agent ]; then
eval "$(/usr/bin/ssh-agent -s)"
fi
| true |
094ae47ca4235fdc4339604e3333a8840b453503 | Shell | imogots/mi-owncloud | /copy/var/zoneinit/includes/32-owncloud.sh | UTF-8 | 840 | 3.1875 | 3 | [] | no_license |
log "generating ssl certs"
/opt/local/etc/nginx/sslgen.sh
log "enabling http services"
svcadm enable nginx
svcadm enable php-fpm
svcadm enable memcached
log "Creating OwnCloud DB"
OWNC_PW=$(od -An -N4 -x /dev/random | head -1 | tr -d ' ');
echo "CREATE USER owncloudadmin WITH PASSWORD '$OWNC_PW';" >> /tmp/ownc.sql... | true |
9bd100dee712673eeab182e17f49b9d37df1b738 | Shell | mankou/macShell | /pingsh/test.sh | UTF-8 | 11,338 | 3.578125 | 4 | [] | no_license | #!/bin/bash
# create by m-ning at 20171028
# desc pingsh.sh的配套分析脚本 用于从ping包日志中分析出哪些时间有丢包现象
author=man003@163.com
version=1.0-20171028
#==============================TODO==============================
# TODOXXX
# 说明
# usage
usage() {
cat <<EOM
Desc: pingsh.sh的配套分析脚本 用于从ping包日志中分析出哪些时间有丢包现象
Usage: $SHELL_NAME [opti... | true |
7ec5195a063b515710b49f21778e747a925e539e | Shell | yefengbar/learnShell | /use 多 多 使 用 引 号.sh | UTF-8 | 212 | 2.71875 | 3 | [] | no_license | #!/bin/bash
echo "
===========this file's name is designed for this shell ======
./use xxxxx *
you will see the difference
"
for i in "$@";do
echo "$i"
done
echo ============
for i in $@ ;do
echo "$i"
done
| true |
0973190aa813cae4ba82aacd389cecffb149a8f7 | Shell | tmking/utils | /zpgdir | UTF-8 | 1,837 | 4.0625 | 4 | [] | no_license | #!/bin/zsh
setopt extendedglob
gpg_cmd=$(which gpg)
gpg_args+=( --quiet --no-tty )
me=$0
function output()
{
[ "$debug" ] && return
[[ "$1" =~ -. ]] && (arg=$1; shift)
echo $arg $@
}
function print_help()
{
echo "$me -e|-d <dir>"
echo "an exit value of 127 means that <dir> doesn't exist"
}
function chec... | true |
e1ec76bde317ddec714fba54149353b43329b9cb | Shell | sohitsrivastava/webrepo | /newscript.sh | UTF-8 | 108 | 2.546875 | 3 | [] | no_license | #!/bin/bash
echo "New file is created"
echo "Your user name is : " `${id -un}`
echo "Your UID is : " ${UID}
| true |
c1c2f48224b8ad10da9fbddc2779c2f97c02f768 | Shell | jsdidierlaurent/cvesco-steganography | /scripts/build | UTF-8 | 833 | 3.59375 | 4 | [] | no_license | #!/usr/bin/env bash
# Do not use this script manually, Use makefile
set -eu -o pipefail
# Check param or use default
if [[ $# -eq 1 ]]; then
if [[ $1 == "windows" ]]; then
export GOOS=windows
export GOARCH=amd64
elif [[ $1 == "linux" ]]; then
export GOOS=linux
export GOARCH=amd64
elif [[ $1 == "... | true |
4804a119ed9ee86cb7d9a7980320a98fce8751e6 | Shell | EdgedesignCZ/phpqa | /bin/ci.sh | UTF-8 | 464 | 3.28125 | 3 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/sh
ALLOWED_SECURITY_ERRORS=${ALLOWED_SECURITY_ERRORS:-""}
run () {
hotfix_security_checker_for_php5
run_phpqa
}
hotfix_security_checker_for_php5 () {
if [ -n "$ALLOWED_SECURITY_ERRORS" ]; then
echo "Updating security-checker errors to $ALLOWED_SECURITY_ERRORS..."
sed -i -e "s/secur... | true |
e6116f8115c6a5e5441a92ce33a79df4083d1ce8 | Shell | zrz1210/mygit-pub | /guessnum.sh | UTF-8 | 354 | 3.5625 | 4 | [] | no_license | #!/bin/bash
#guess a number
#author zrz 2019 0815
RIGHT=`expr $RANDOM % 100`
i=0
while true
do
read -p "please input a number(0-99):" GUESS
let i++
if [ $GUESS -eq $RIGHT ];then
echo "恭喜你猜对了"
echo "你一共猜了$i次"
exit
elif [ $GUESS -lt $RIGHT ];then
echo "猜小了,再试试:"
else
echo "猜大了,再试试:"
fi
done
| true |
806f5ae5df7c93e4bb889a830bf88a4d17b43482 | Shell | naveen-e-git/shell-930batch | /while01.sh | UTF-8 | 86 | 3.0625 | 3 | [] | no_license | #!/bin/bash
i=1
while [ $i -le 10 ]
do
echo "$i"
i=`expr $i + 1`
done
| true |
d77112bfb1660d35372b408518de5592e820c236 | Shell | OA136/iner | /server/control.sh | UTF-8 | 446 | 2.984375 | 3 | [] | no_license | #!/bin/bash
#echo "USAGE: $0 thread_num data_size attack_num sleep_space"
thread=9
attack=4
data=20000000
frequent=0
while [ $thread -le 20 ]
do
frequent=0
# while [ $frequent \< 0.1 ]
while [ $(echo "$frequent < 0.1" | bc) = 1 ]
do
frequent=`echo "scale=3;$frequent + 0.01" | bc`
#frequent=$(($frequent*10.0... | true |
0e78f3a8c82b149361c3e6f52588df73a34b7d3c | Shell | luis-zepeda/Firewall_Linux | /firewall.sh | UTF-8 | 1,005 | 3.21875 | 3 | [] | no_license | #!/bin/bash
while [ true ]; do
cat /etc/mtab | grep media
if [ $? -eq 0 ]; then
USBSERIAL=$(dmesg | tail -n20 | grep ": Serial" | awk '{print $6}' )
if [ $(grep -c $USBSERIAL blacklist.txt) -eq 0 ];then
pw=$(zenity --password)
echo $pw | sudo eject /dev/sdb1
elif [ $(grep -c $USBSERIAL whitelist.txt) -e... | true |
7c6f7338a32bd5d712cbe7fbb462f84bb4ee6f19 | Shell | SheetJS/libreoffice_test-files | /ooxml-strict/genbindings.sh | UTF-8 | 521 | 3.484375 | 3 | [] | no_license | #!/usr/bin/env sh
PYXB_ROOT=${PYXB_ROOT:-`pwd`/../pyxb}
export PYTHONPATH=${PYXB_ROOT}
export PATH=${PYXB_ROOT}/scripts:${PATH}
# Extract the parameters
URI=$1
shift
MAIN_PREFIX=$1
PREFIXES=""
until [ -z "$1" ]
do
PREFIXES=$PREFIXES" -m $1"
shift
done
rm -rf $MAIN_PREFIX
mkdir $MAIN_PREFIX ; cd $MAIN_PREF... | true |
bc8c5fe6aa673a994351b9763dfd332c5ee0a58c | Shell | cindidong/OperatingSystems | /Concurrency/Project 2B/lab2b_tests | UTF-8 | 1,072 | 2.65625 | 3 | [] | no_license | #!/bin/bash
# NAME: Cindi Dong
# EMAIL: cindidong@gmail.com
# ID: 405126747
threads=(1 2 4 8 12 16 24)
sync=(m s)
lists=(1 4 8 16)
# testing list-none-sync for pic 1 and 2
for t in ${threads[@]}; do
for i in ${sync[@]}; do
./lab2_list --iterations=1000 --threads=$t --sync=$i >> lab2b_list.csv
done
done
iteration... | true |
28809c8a9726281a3f8755d79ed2c317c45942dc | Shell | GurjotSinghAulakh/operating-systems | /Teori/h19/scripts/organiser.sh | UTF-8 | 71 | 2.625 | 3 | [] | no_license | #! /bin/bash
for i in a b c
do
mkdir ${i}dir
mv ${i}* ${i}dir
done | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.